#include "aboutdlg.h"
#include "globaldefine.h"
#include <QVBoxLayout>
#include <QLabel>
#include <QPushButton>

AboutDlg::AboutDlg(QWidget *parent) : QDialog(parent) {
    setWindowFlag(Qt::WindowContextHelpButtonHint, false);
    setWindowTitle(tr("About"));

    auto hBox = new QHBoxLayout(this);
    hBox->setContentsMargins(24,24,24,24);
    hBox->setSpacing(24);
    auto label_4 = new QLabel();
    label_4->setPixmap(QPixmap(":/res/Logo.png"));
    hBox->addWidget(label_4);

    auto vBox = new QVBoxLayout();
    auto label = new QLabel("LedOK Express");
    QFont font;
    font.setPointSize(24);
    label->setFont(font);
    label->setTextFormat(Qt::AutoText);
    label->setAlignment(Qt::AlignCenter);
    vBox->addWidget(label);

    auto label_2 = new QLabel(APP_VERSION);
    QFont font1;
    font1.setPointSize(14);
    label_2->setFont(font1);
    label_2->setAlignment(Qt::AlignCenter);
    vBox->addWidget(label_2);

    auto label_3 = new QLabel("<a href=\"https://www.ledok.cn/\">www.ledok.cn");
    QFont font2;
    font2.setPointSize(15);
    label_3->setFont(font2);
    label_3->setAlignment(Qt::AlignCenter);
    label_3->setOpenExternalLinks(true);
    vBox->addWidget(label_3);

    hBox->addLayout(vBox);
}
